## systemtap 0.0.20061028

=== runtime/bench2/Makefile ===
all: itest

itest: itest.c
	gcc -Wall -O3 -o itest itest.c

clean:
	/bin/rm -f itest

=== runtime/stpd/Makefile ===
all: staprun stp_merge stp_dump

staprun: stpd.c librelay.c ../transport/transport_msgs.h librelay.h
	gcc -Wall -O3 -o staprun stpd.c librelay.c -lpthread

stp_merge: stp_merge.c
	gcc -Wall -O3 -o stp_merge stp_merge.c

stp_dump: stp_dump.c
	gcc -Wall -O3 -o stp_dump stp_dump.c

debug: stpd.c librelay.c ../transport/transport_msgs.h librelay.h
	gcc -Wall -g -D DEBUG  -o staprun stpd.c librelay.c -lpthread	

clean:
	/bin/rm -f staprun stp_merge *.o *~

=== runtime/probes/bench/Makefile ===
all: ttest itest

ttest: ttest.c
	gcc -Wall -O3 -o ttest ttest.c

itest: itest.c
	gcc -Wall -O3 -o itest itest.c

clean:
	/bin/rm -f itest ttest stpd_cpu* xxx*

=== runtime/tests/math/Makefile ===
default: tests

tests:
	tclsh all.tcl

## systemtap 0.0.20071201

=== runtime/uprobes/Makefile ===
obj-m := uprobes.o
KDIR := /lib/modules/$(shell uname -r)/build
PWD := $(shell pwd)
DEPENDENCIES := $(shell echo uprobes_arch.[ch] uprobes.[ch] uprobes_*.[ch])
DEPENDENCIES += Makefile $(KDIR)/Module.symvers

default:
	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) modules

# This target is used with "make -q" to see whether a "real" build is needed.
uprobes.ko: $(DEPENDENCIES)
	@echo uprobes.ko is not a valid target.  See Makefile.

clean:
	rm -f *.mod.c *.ko *.o .*.cmd *~
	rm -rf .tmp_versions

## systemtap 1.2

=== doc/Tapset_Reference_Guide/Makefile ===
#Makefile for Tapset_Reference_Guide

XML_LANG	= en-US
DOCNAME		= Tapset_Reference_Guide
#PRODUCT	= FIX_ME!
BRAND		= fedora

#OTHER_LANGS	= as-IN bn-IN de-DE es-ES fr-FR gu-IN hi-IN it-IT ja-JP kn-IN ko-KR ml-IN mr-IN or-IN pa-IN pt-BR ru-RU si-LK ta-IN te-IN zh-CN zh-TW

# Extra Parameters start here

# Extra Parameters stop here
COMMON_CONFIG  = /usr/share/publican
include $(COMMON_CONFIG)/make/Makefile.common

=== debian/changelog ===
systemtap (1.2-5+squeeze1) stable-security; urgency=high

  * Non-maintainer upload
  * Backport upstream fix for CVE-2011-2503. (Closes: #635542)
  * Rename patch debian-changes-1.2-5 to
    fix-CVE-2010-4170-CVE-2010-4171.diff and fix misleading DEP-3
    information (this fix was first included in 1.2-3).

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Mon, 17 Oct 2011 11:45:09 +0300

systemtap (1.2-5) unstable; urgency=high

  * Add dependency on package adduser. Thanks to the piuparts
    infrastructure for spotting it. (Closes: #604439)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 22 Nov 2010 15:54:22 +0530

systemtap (1.2-4) unstable; urgency=high

  * Fix file permissions when building the package. dh_fixperms overrides
    the build time permissions set. Thanks to Steve Beattie.

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 20 Nov 2010 13:50:38 +0530

systemtap (1.2-3) unstable; urgency=high

  * Fix CVE Vulnerability: CVE-2010-4170, CVE-2010-4171
    staprun module loading/unloading security fixes
    (Closes: #603946)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 19 Nov 2010 18:47:21 +0530

systemtap (1.2-2) unstable; urgency=low

  * Update README.Debian about kernel dependency

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 29 Sep 2010 23:20:34 +0530

systemtap (1.2-1) unstable; urgency=low

  [ Lucas Nussbaum ]
  * New maintainer. Closes: #568866.
  * New upstream release.
    - Fixes CVE-2009-4273. Closes: #568865.
  * Removed patches:
    - xmlto-test.diff: applied upstream.
    - dont-remove-scripts.diff: applied upstream.
    - examples-shebangs.diff: applied upstream.
  * Refreshed patches:
    - use-pdflatex.diff
    - debversion.diff
    - new-elfutils.diff
  * Bump policy to 3.8.4. No changes needed.

  [ Ritesh Raj Sarraf ]
  * Take maintenance and add Lucas to Uploaders 
  * Switch to 3.0 (quilt) source format 
  * Add get-orig-source target 
  * Drop libebl-dev and Add libdw-dev as Build Depends 
  * Fix build rules and use configure script from upstream 
  * Break systemtap common architecture independent data to the
    systemtap-common package 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 24 May 2010 00:34:35 +0530

systemtap (1.1-1) experimental; urgency=low

  * New upstream release
    - too many changes, upload to experimental for now
  * Fix Vcs-Browser url
  * Update debian/copyright
  * Pass --disable-publican to configure, not usable in Debian
  * Removed patches:
    - no-PROCFLAGS.diff - fixed upstream
    - no-xmto.diff - let's try to use xmlto..., build depend on it
    - stap-env.diff - no longer needed
    - SystemTap-1.0-limit-printf-arguments.patch - fixed upstream
    - SystemTap-1.0-limit-dwarf-expression-stack-size.patch - fixed upstream
    - SystemTap-1.0-unwind-table-size-checks.patch - fixed upstream
  * Updated patches:
    - dont-build-pdfdocs.diff
    - grapher-libs.diff 
  * Build-depend on libboost-dev and libglademm-2.4-dev, needed for grapher
  * New patches:
    - dont-remove-scripts.diff - do not remove scripts on clean
    - examples-shebangs.diff - add missing shebangs to examples
    - xmlto-test.diff - use html format to test xmlto, txt format requires
      additional build-dependencies

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 21 Jan 2010 14:45:25 +0100

systemtap (1.0-2) unstable; urgency=high

  * Fix multiple DoS issues (CVE-2009-2911), thanks to Moritz Muehlenhoff
    fo reporting. Urgency is high because of security bug.
    (closes: 551918)
  * New patches (stolen from RedHat's bugzilla):
    - SystemTap-1.0-limit-printf-arguments.patch
    - SystemTap-1.0-limit-dwarf-expression-stack-size.patch
    - SystemTap-1.0-unwind-table-size-checks.patch

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 21 Oct 2009 22:05:22 +0200

systemtap (1.0-1) unstable; urgency=low

  * New upstream release
    - stap does not seem to print warnings if -client is not installed
      (probably closes: #545429)
  * Install AUTHORS into systemtap package
  * Try to explain what are -client and -server packages for (hopefully
    closes: #545279)
  * Depend on net-tools in systemtap-server (for netstat)
  * s/stap-client/systemtap-client/ in systemtap's conflicts/replaces

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 23 Sep 2009 20:20:09 +0200

systemtap (0.9.9+0git20090920-1) experimental; urgency=low

  * New upstream snaphsot
  * Don't build-depend on bzip2 anymore
  * Removed patches:
    - docs-clean.diff - applied upstream
  * Install stap-sign-module into -server
  * Remove special rule for patch target, it is supported by new enough
    dh

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 20 Sep 2009 20:54:51 +0200

systemtap (0.9.9+0git20090910-2) experimental; urgency=low

  * Use -regex for find in clean target, hopefully fixes FTBFS on s390
  * Use © instead of (C) in debian/copyright
  * Fix path to examples in stapex (3)

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 12 Sep 2009 17:41:14 +0200

systemtap (0.9.9+0git20090910-1) experimental; urgency=low

  * New upstream snapshot
    - This release supports execution of probe modules by unpriviledged
      users. This feature is experimental and can cause security problems.
      Added note to NEWS.Debian
  * Use quilt instead of dbs
  * Strip numeric prefixes and add .diff to patches
  * Removed patches:
    - relocatable-kernel-buildid.diff - applied upstream
    - configure-quot.diff - applied upstream
    - arm-nop.diff - applied upstream 
  * Remove autotools generated files in clean target
  * New patches:
    - docs-clean.diff - remove generated files during clean
    - debversion.diff - add debian package version information into stap -V
      output
  * Install NEWS.Debian into all binary packages
  * Git is now used for packaging
    - Add Vcs-* headers to debian/control
    - Remove uupdate invokation from watch file
  * Update README.source with information about using quilt

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 12 Sep 2009 00:45:38 +0200



=== debian/control ===
Source: systemtap
Section: devel
Priority: optional
Maintainer: Ritesh Raj Sarraf <rrs@debian.org> 
Uploaders: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Build-Depends: debhelper (>= 7.0.50~), libelf-dev (>= 0.141),
 libdw-dev (>= 0.141), libsqlite3-dev, texlive-latex-base, texlive-latex-recommended,
 texlive-latex-extra, texlive-fonts-recommended, libnss3-dev, libnspr4-dev, pkg-config,
 libnss3-tools, libgtkmm-2.4-dev (>= 2.8.0), xmlto, libboost-dev, libglademm-2.4-dev,
 latex2html
Standards-Version: 3.8.4
Homepage: http://sourceware.org/systemtap/
Vcs-Git: git://git.debian.org/git/collab-maint/systemtap.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/systemtap.git

Package: systemtap
Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb
Depends: systemtap-runtime (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
 systemtap-common (= ${source:Version})
Suggests: systemtap-doc, vim-addon-manager, linux-image-2.6, linux-headers-2.6, linux-debug-2.6
Description: instrumentation system for Linux 2.6
 SystemTap provides infrastructure to simplify the gathering of
 information about the running Linux system.
 This assists diagnosis of a performance or functional problem.
 SystemTap eliminates the need for the developer to go through the
 tedious and disruptive instrument, recompile, install, and reboot
 sequence that may be otherwise required to collect data.
 .
 SystemTap provides a simple command line interface and scripting
 language for writing instrumentation for a live running system.

Package: systemtap-common
Architecture: all
Replaces: systemtap (<< 0.0.20081220-1)
Conflicts: systemtap (<< 0.0.20081220-1)
Depends: ${misc:Depends}
Recommends: systemtap
Description: instrumentation system for Linux 2.6 (common component)
 SystemTap provides infrastructure to simplify the gathering of
 information about the running Linux system.
 .
 To be able to write new SystemTap probes, install systemtap package.
 .
 This package contains the common files

Package: systemtap-runtime
Replaces: systemtap (<< 0.0.20081220-1)
Conflicts: systemtap (<< 0.0.20081220-1)
Suggests: systemtap
Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Description: instrumentation system for Linux 2.6 (runtime component)
 This package contains staprun program that can be used to run
 compiled SystemTap probes.
 .
 SystemTap provides infrastructure to simplify the gathering of
 information about the running Linux system.
 .
 To be able to write new SystemTap probes, install systemtap package.

Package: systemtap-doc
Architecture: all
Section: doc
Suggests: doc-base
Depends: ${misc:Depends}
Conflicts: systemtap (<< 0.0.20081220-1)
Replaces: systemtap (<< 0.0.20081220-1)
Description: documentation and examples for SystemTap
 This package contains examples and documentation for SystemTap.
 .
 SystemTap provides infrastructure to simplify the gathering of
 information about the running Linux system.

Package: systemtap-server
Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb
Depends: libnss3-tools, avahi-utils, unzip, zip, systemtap (= ${binary:Version}),
 systemtap-client (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
 net-tools
Conflicts: systemtap-client (<< 0.0.20090523~)
Replaces: systemtap-client (<< 0.0.20090523~)
Description: instrumentation system for Linux 2.6 (compile server)
 This package contains compile server for SystemTap. It can be used
 together with systemtap client to compile probes on a remote machine.
 Probes will be compiled by the server on request of remote clients.
 .
 SystemTap provides infrastructure to simplify the gathering of
 information about the running Linux system.

Package: systemtap-client
Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb
Depends: avahi-utils, unzip, zip, dnsutils, systemtap-runtime (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: systemtap-server
Description: instrumentation system for Linux 2.6 (client for compile server)
 This package contains client for SystemTap compile server. It can be
 used to compile probes on a remote machine running systemtap-server.
 This client can be run on a machine without full kernel debug information
 and development environment required for 'systemtap' package.
 .
 If you only want to compile systemtap probes locally just install
 'systemtap'  package.
 .
 SystemTap provides infrastructure to simplify the gathering of
 information about the running Linux system.

Package: systemtap-sdt-dev
Architecture: all
Depends: ${misc:Depends}, python
Description: statically defined probes development files
 This package contains header file and executable (dtrace) that
 can be used to add static probes into userspace applications
 for use with SystemTap.
 .
 SystemTap provides infrastructure to simplify the gathering of
 information about the running Linux system.
 .
 To be able to write new SystemTap probes, install systemtap package.

Package: systemtap-grapher
Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb
Depends: systemtap (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: instrumentation system for Linux 2.6 (grapher)
 This package contains a utility for real-time visualization of
 data from SystemTap instrumentation scripts.
 .
 SystemTap provides infrastructure to simplify the gathering of
 information about the running Linux system.

## systemtap 1.3

=== debian/changelog ===
systemtap (1.3-1) experimental; urgency=low

  * New Upstream Release 
  * Refresh patches:
    + manpage-and-spelling-error-fixes.patch
    + dont-build-pdfdocs.diff
    + new-elfutils.diff
  * Drop patch:
    + no-make-distclean-for-man.diff
    + stapex-docdir-path.diff 
  * Add libavahi-client-dev build dependency
  * Update Standards Version to 3.9.1
    + Use Breaks instead of Conflicts
  * Explain about kernel feature dependency and availability (Closes: #591893) 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 07 Aug 2010 00:03:52 +0530

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
  libdw-dev (>= 0.141), libsqlite3-dev, texlive-latex-base, texlive-latex-recommended,
  texlive-latex-extra, texlive-fonts-recommended, libnss3-dev, libnspr4-dev, pkg-config,
  libnss3-tools, libgtkmm-2.4-dev (>= 2.8.0), xmlto, libboost-dev, libglademm-2.4-dev,
- latex2html
-Standards-Version: 3.8.4
+ latex2html, libavahi-client-dev
+Standards-Version: 3.9.1
 Homepage: http://sourceware.org/systemtap/
 Vcs-Git: git://git.debian.org/git/collab-maint/systemtap.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/systemtap.git
@@ -32,7 +32,7 @@
 Package: systemtap-common
 Architecture: all
 Replaces: systemtap (<< 0.0.20081220-1)
-Conflicts: systemtap (<< 0.0.20081220-1)
+Breaks: systemtap (<< 0.0.20081220-1)
 Depends: ${misc:Depends}
 Recommends: systemtap
 Description: instrumentation system for Linux 2.6 (common component)
@@ -45,10 +45,10 @@
 
 Package: systemtap-runtime
 Replaces: systemtap (<< 0.0.20081220-1)
-Conflicts: systemtap (<< 0.0.20081220-1)
+Breaks: systemtap (<< 0.0.20081220-1)
 Suggests: systemtap
 Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: instrumentation system for Linux 2.6 (runtime component)
  This package contains staprun program that can be used to run
  compiled SystemTap probes.
@@ -63,7 +63,7 @@
 Section: doc
 Suggests: doc-base
 Depends: ${misc:Depends}
-Conflicts: systemtap (<< 0.0.20081220-1)
+Breaks: systemtap (<< 0.0.20081220-1)
 Replaces: systemtap (<< 0.0.20081220-1)
 Description: documentation and examples for SystemTap
  This package contains examples and documentation for SystemTap.
@@ -76,7 +76,7 @@
 Depends: libnss3-tools, avahi-utils, unzip, zip, systemtap (= ${binary:Version}),
  systemtap-client (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
  net-tools
-Conflicts: systemtap-client (<< 0.0.20090523~)
+Breaks: systemtap-client (<< 0.0.20090523~)
 Replaces: systemtap-client (<< 0.0.20090523~)
 Description: instrumentation system for Linux 2.6 (compile server)
  This package contains compile server for SystemTap. It can be used

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# get-orig-source target
DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')

get-orig-source:
	uscan --force-download --rename --repack --download-version=$(DEB_UPSTREAM_VERSION) --destdir=.


CFLAGS = -Wall -g -D_GNU_SOURCE

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
CXXFLAGS = $(CFLAGS)
export CFLAGS CXXFLAGS

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

VIM_ADIR = $(CURDIR)/debian/tmp/usr/share/vim/addons
VIM_RDIR = $(CURDIR)/debian/tmp/usr/share/vim/registry

CONF_FLAGS = --enable-sqlite --disable-crash --enable-docs --disable-pie \
	     --enable-server --enable-grapher --without-rpm \
	     --enable-translator --disable-publican

# Building of man pages takes A LOT of time
ifeq (,$(filter stap_disable_refdocs,$(DEB_BUILD_OPTIONS)))
	CONF_FLAGS += --enable-refdocs
else
	CONF_FLAGS += --disable-refdocs
endif

# dh does it wrong...
CONF_FLAGS += --libexecdir=/usr/lib

DH = dh

# plus is to enable parallel build
binary binary-arch binary-indep build clean install patch:
	+$(DH) $@


override_dh_auto_test:
	# Tests cannot be run during build, see #526957

override_dh_auto_configure:
	dh_auto_configure -- $(CONF_FLAGS)

override_dh_auto_install:
	dh_auto_install
	[ ! -d debian/tmp/usr/share/systemtap/tapset/test ] || rm -rf debian/tmp/usr/share/systemtap/tapset/test

	# Those files do not realy belong there
	rm debian/tmp/usr/share/doc/systemtap/examples/README
	rm debian/tmp/usr/share/doc/systemtap/examples/html/*.tmpl

	# make sure that all examples are executable (except tutorial)
	find debian/tmp/usr/share/doc/systemtap/examples/ -name \*.stp \! -executable -print -exec chmod +x "{}" \;

	# Install vim files
	install -d $(VIM_ADIR)/ftdetect
	install -d $(VIM_ADIR)/syntax
	install -d $(VIM_ADIR)/indent
	install -d $(VIM_ADIR)/ftplugin
	test -f vim/filetype.vim && cp vim/filetype.vim $(VIM_ADIR)/ftdetect/stap.vim
	test -f vim/syntax/stap.vim && cp vim/syntax/stap.vim $(VIM_ADIR)/syntax/stap.vim
	test -f vim/indent/stap.vim && cp vim/indent/stap.vim $(VIM_ADIR)/indent/stap.vim
	test -f vim/ftplugin/stap.vim && cp vim/ftplugin/stap.vim $(VIM_ADIR)/ftplugin/stap.vim
	test -f $(CURDIR)/debian/systemtap.yaml && install -d $(VIM_RDIR) && cp $(CURDIR)/debian/systemtap.yaml $(VIM_RDIR)/

override_dh_auto_clean:
	dh_auto_clean
	[ ! -d doc/beginners/build ] || rm -rf doc/beginners/build
	[ ! -d doc/beginners/en-US ] || rm -rf doc/beginners/en-US

override_dh_compress:
	dh_compress -X.stp -X.wav -Xsocktop -Xsyscalltimes -X.pdf

override_dh_fixperms:
	dh_fixperms
	chmod 4755 debian/systemtap-runtime/usr/bin/staprun

override_dh_installchangelogs:
	        dh_installchangelogs debian/changelog

.PHONY: build clean binary-indep binary-arch binary install patch get-orig-source
.PHONY: override_dh_auto_configure override_dh_auto_test override_dh_auto_install
.PHONY: override_dh_auto_clean override_dh_compress override_dh_fixperms

## systemtap 1.4

=== runtime/uprobes/Makefile ===
obj-m := uprobes.o
KDIR := /lib/modules/$(shell uname -r)/build
PWD := $(shell pwd)
DEPENDENCIES := $(shell echo uprobes.[ch] uprobes_*.[ch])
DEPENDENCIES += $(shell echo ../uprobes2/uprobes.[ch] ../uprobes2/uprobes_*.[ch])
DEPENDENCIES += Makefile

CLEAN_FILES := $(shell echo *.mod.c *.ko *.o .*.cmd *~ *.sgn)
CLEAN_FILES += Module.markers modules.order Module.symvers
CLEAN_DIRS  := .tmp_versions

LIBEXECDIR=../../../../libexec/systemtap

# Build the module and sign it.
# Ensure that the generated files are writeable by the group which
# owns this build directory. This is so that the stap-server service
# can rebuild the module, if necessary.
default:
	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) modules
	if test -f $(LIBEXECDIR)/stap-sign-module; then \
		for f in *.ko; do \
			if test ! -e $$f.sgn -o $$f.sgn -ot $$f; then \
				$(LIBEXECDIR)/stap-sign-module $$f; \
			fi \
		done \
	fi
	group=`stat -c %G $(PWD)`; \
	for f in $(CLEAN_FILES); do \
		test ! -f $$f && continue; \
		chgrp -f $$group $$f; \
		chmod -f 664 $$f; \
	done; \
	for d in $(CLEAN_DIRS); do \
		test ! -d $$d && continue; \
		chgrp -f $$group $$d; \
		chmod -f 775 $$d; \
		for dd in `find $$d -type d`; do \
			chgrp -f $$group $$dd; \
			chmod -f 775 $$dd; \
		done; \
		for f in `find $$d -type f`; do \
			chgrp -f $$group $$f; \
			chmod -f 664 $$f; \
		done; \
	done

# This target is used with "make -q" to see whether a "real" build is needed.
uprobes.ko: $(DEPENDENCIES)
	@echo uprobes.ko is not a valid target.  See Makefile.

clean:
	rm -f $(CLEAN_FILES)
	rm -rf $(CLEAN_DIRS)

=== debian/changelog ===
systemtap (1.4-1ubuntu2) oneiric; urgency=low

  * debian/patches/fix-compile-warning: Apply upstream fix for failure to
    compile tapsets due to kernel change.  (LP: #838205)
  * debian/patches/no-werror.patch: Remove -Werror from CFLAGS to avoid
    new variable-set-but-not-used errors when building.

 -- Ubuntu <ubuntu@domU-12-31-39-14-F0-B3.compute-1.internal>  Wed, 31 Aug 2011 16:06:54 +0000

systemtap (1.4-1ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable, remaining changes:
    debian/patches/Updated-__ip_sock_daddr-for-2.6.38-kernels.patch,
    debian/patches/adding-ifdef-CLONE_STOPPED-to-stop-module-compilatio.patch:
    patches taken from upstream.
  * Dropped changes, included in Debian:
    - debian/rules, debian/systemtap-runtime.postinst: restrict executable 
      access to group stapusr to match upstream intent.
  * Dropped changes, superseded upstream:
    - Added upstream patches for kernels 2.6.37/2.6.38, identified after
      running testsuite
    - debian/patches/CVE-2010-4170+CVE-2010-4171.patch: staprun module
      loading/unloading security fixes.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 18 Jun 2011 00:09:15 +0000

systemtap (1.4-1) unstable; urgency=low

  * New Upstream Release 
  * [6f15c23] fix staprun permissions in dh_fixperms. Thanks to Steve
    Beattie
  * [4766ec7] update debian/news about new execution permission
  * [98fddd0] refresh patches
  * [1f33512] drop patch new-elfutils.diff. no more needed

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 25 Feb 2011 03:23:16 +0530

systemtap (1.3-2ubuntu2) natty; urgency=low

  * Added upstream patches for kernels 2.6.37/2.6.38, identified after
    running testsuite (LP: #721771)

 -- Frederic Turgis <f-turgis@ti.com>  Thu, 17 Mar 2011 12:25:48 +0000

systemtap (1.3-2ubuntu1) natty; urgency=low

  * Merge from debian unstable. (LP: #721702) Remaining changes:
    - debian/patches/CVE-2010-4170+CVE-2010-4171.patch: staprun module 
      loading/unloading security fixes.
    - debian/rules, debian/systemtap-runtime.postinst: restrict executable 
      access to group stapusr to match upstream intent.

 -- Mahyuddin Susanto <udienz@ubuntu.com>  Sat, 19 Feb 2011 16:25:38 +0700

systemtap (1.3-2) unstable; urgency=low

  * Add dependency on package adduser. Thanks to the piuparts
    infrastructure for spotting it. (Closes: #604439)
  * Add dependency on make (Closes: #608905)
  * Upload to unstable 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 10 Feb 2011 20:30:26 +0530

systemtap (1.3-1ubuntu2) natty; urgency=low

  [ Lorenzo De Liso ]
  * SECURITY UPDATE: staprun module loading/unloading security fixes
    (LP: #677226)
    - debian/patches/CVE-2010-4170+CVE-2010-4171.patch
    - CVE 2010-4170
    - CVE 2010-4171

  [ Steve Beattie ]
  * debian/rules, debian/systemtap-runtime.postinst: restrict
    executable access to group stapusr to match upstream intent

 -- Steve Beattie <sbeattie@ubuntu.com>  Fri, 19 Nov 2010 15:32:49 -0800

## systemtap 1.6

=== runtime/uprobes/Makefile ===
--- 
+++ 
@@ -9,20 +9,36 @@
 CLEAN_FILES += Module.markers modules.order Module.symvers
 CLEAN_DIRS  := .tmp_versions
 
-LIBEXECDIR=../../../../libexec/systemtap
+LIBEXECDIR = ../../../../libexec/systemtap
+CERTDB = ../../../../etc/systemtap/staprun
 
-# Build the module and sign it.
+# Build the module and, if we are root or stap-server, sign it.
+# Make sure that all the required tools and resources are available
+# before attempting to sign the module. 
 # Ensure that the generated files are writeable by the group which
 # owns this build directory. This is so that the stap-server service
 # can rebuild the module, if necessary.
 default:
 	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) modules
-	if test -f $(LIBEXECDIR)/stap-sign-module; then \
-		for f in *.ko; do \
-			if test ! -e $$f.sgn -o $$f.sgn -ot $$f; then \
-				$(LIBEXECDIR)/stap-sign-module $$f; \
-			fi \
-		done \
+	if test `id -u` = 0 -o `id -un` = stap-server; then \
+		if test -x $(LIBEXECDIR)/stap-sign-module; then \
+			stap_dir=${SYSTEMTAP_DIR}; \
+			if test -z "$$stap_dir"; then \
+				stap_dir=~/.systemtap; \
+			fi; \
+			certfile=$$stap_dir/ssl/server/stap.cert; \
+			if test ! -f $$certfile -o -f $$stap_dir/ssl/server/pw; then \
+				$(LIBEXECDIR)/stap-gen-cert > /dev/null; \
+			fi; \
+			if test `id -u` = 0; then \
+				$(LIBEXECDIR)/stap-authorize-cert $$certfile $(CERTDB) > /dev/null; \
+			fi; \
+			for f in *.ko; do \
+				if test ! -e $$f.sgn -o $$f.sgn -ot $$f; then \
+					$(LIBEXECDIR)/stap-sign-module $$f > /dev/null; \
+				fi \
+			done \
+		fi \
 	fi
 	group=`stat -c %G $(PWD)`; \
 	for f in $(CLEAN_FILES); do \

=== debian/changelog ===
systemtap (1.6-1ubuntu1.1) precise; urgency=low

  * Backported the following changes to fix issues when running with the
    hwe kernels (3.5/3.8) (LP: #1237390)
    - fix-compile-problem-by-changing-stp_for_each_cpu-to.patch:
      [e14ac0e2] runtime/runtime.h: Replaced 'stp_for_each_cpu()' with
      'for_each_possible_cpu()'
    - runtime-autoconf-for-fs_supers-hlist-change.patch:
      [52dea427] runtime: autoconf for fs_supers hlist change
    - runtime-autoconf-for-relay-umode_t-change.patch:
      [56111fdc] runtime: autoconf for relay umode_t change

 -- Chris J Arges <chris.j.arges@ubuntu.com>  Thu, 10 Oct 2013 12:11:53 -0500

systemtap (1.6-1ubuntu1) precise; urgency=low

  * Merge from debian unstable (LP: #876855).  Remaining changes:
    - Refreshed no-werror.patch. Remove -Werror from CFLAGS to avoid
      new variable-set-but-not-used errors when building.
  * Drop changes:
    - Updated-__ip_sock_daddr-for-2.6.38-kernels.patch it was a patch picked
      from upstream, and this version has those changes
    - debian/patches/fix-compile-warning: Fix for failure to compile tapsets
      due to kernel change. Now in upstream.
    - adding-ifdef-CLONE_STOPPED-to-stop-module-compilatio.patch patch was
      taken from upstream.

 -- Leo Iannacone <l3on@ubuntu.com>  Sat, 17 Dec 2011 02:59:13 +0100

systemtap (1.6-1) unstable; urgency=low

  [ Lucas Nussbaum ]
  * Refresh all patches.

  [ Ritesh Raj Sarraf ]
  * [ab3b78a] Imported Upstream version 1.6
  * New upstream release (Closes: #625414, #635542, #628819)
    - Fixes vulnerability: CVE-2011-1769, CVE-2011-1781, CVE-2011-2502
      and CVE-2011-2503 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 29 Jul 2011 15:59:14 +0530

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: systemtap
 Section: devel
 Priority: optional
-Maintainer: Ritesh Raj Sarraf <rrs@debian.org> 
-Uploaders: Lucas Nussbaum <lucas@lucas-nussbaum.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ritesh Raj Sarraf <rrs@debian.org> 
+Uploaders: Lucas Nussbaum <lucas@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), libelf-dev (>= 0.141),
  libdw-dev (>= 0.141), libsqlite3-dev, texlive-latex-base, texlive-latex-recommended,
  texlive-latex-extra, texlive-fonts-recommended, libnss3-dev, libnspr4-dev, pkg-config,
@@ -16,7 +17,7 @@
 Package: systemtap
 Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb
 Depends: systemtap-runtime (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
- systemtap-common (= ${source:Version})
+ systemtap-common (= ${source:Version}), make
 Suggests: systemtap-doc, vim-addon-manager, linux-image-2.6, linux-headers-2.6, linux-debug-2.6
 Description: instrumentation system for Linux 2.6
  SystemTap provides infrastructure to simplify the gathering of
@@ -48,7 +49,7 @@
 Breaks: systemtap (<< 0.0.20081220-1)
 Suggests: systemtap
 Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
 Description: instrumentation system for Linux 2.6 (runtime component)
  This package contains staprun program that can be used to run
  compiled SystemTap probes.

=== debian/rules ===
--- 
+++ 
@@ -87,7 +87,7 @@
 
 override_dh_fixperms:
 	dh_fixperms
-	chmod 4755 debian/systemtap-runtime/usr/bin/staprun
+	chmod 4750 debian/systemtap-runtime/usr/bin/staprun
 
 override_dh_installchangelogs:
 	        dh_installchangelogs debian/changelog

## systemtap 1.7

=== runtime/bench2/Makefile ===
all: itest

itest: itest.c
	gcc -D_GNU_SOURCE -Wall -Wextra -Wstrict-prototypes -Werror -O3 -o itest itest.c -lpthread

clean:
	/bin/rm -f itest

=== debian/changelog ===
systemtap (1.7-1+deb7u1) stable; urgency=low

  * Backport upstream commit c5f7c84bf1dcc515 (PR14245:
    support /sys/kernel/debug mounted 0700) to cope with
    new debugfs permissions introduced by linux 3.2.29-1
    (Closes: #706817):
    - PR14245-support-sys-kernel-debug-mounted-0700.patch

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Mon, 13 May 2013 20:59:26 +0000

systemtap (1.7-1) unstable; urgency=low

  * Explicitly list supported architectures of systemtap-sdt-dev.
  * Bump Standards-Version to 3.9.3, no changes were needed
  * Apply upstream fix for CVE-2012-0875 (Closes: #660886, #660929)

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Wed, 14 Mar 2012 14:23:00 +0200

systemtap (1.7-1~experimental1) experimental; urgency=low

  [ Ritesh Raj Sarraf ]
  * Add Timo Juhani Lindfors to Uploaders.

  [ Timo Juhani Lindfors ]
  * New Upstream Release.
  * Drop patches that are obsolete or accepted upstream:
    dont-build-pdfdocs.diff dont-remove-scripts.diff
    examples-shebangs.diff grapher-libs.diff new-elfutils.diff
    no-make-distclean-for-man.diff stapex-docdir-path.diff
    use-pdflatex.diff vim-filetype-override.diff xmlto-test.diff
  * Add patches to improve documentation: manpage-paths1.diff
    manpage-syntax1.diff spelling-fixes1.diff spelling-fixes2.diff
  * Update standards-version to 3.9.2, no changes necessary
  * Add armhf to the architecture list (Closes: #645797)
  * Enable hardened build flags (Closes: #655882)
  * Set architecture of systemtap-sdt-dev to linux-any to avoid confusion
    on kfreebsd (Closes: #656383, #656477)
  * Add stapsys group which behaves like stapdev but does not permit
    the use of guru mode.
  * Remove references to "Linux 2.6" from package description and suggests
    fields since we support 3.x too.

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Mon, 19 Dec 2011 13:27:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,24 @@
 Source: systemtap
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ritesh Raj Sarraf <rrs@debian.org> 
-Uploaders: Lucas Nussbaum <lucas@debian.org>
+Maintainer: Ritesh Raj Sarraf <rrs@debian.org> 
+Uploaders: Lucas Nussbaum <lucas@debian.org>, Timo Juhani Lindfors <timo.lindfors@iki.fi>
 Build-Depends: debhelper (>= 7.0.50~), libelf-dev (>= 0.141),
  libdw-dev (>= 0.141), libsqlite3-dev, texlive-latex-base, texlive-latex-recommended,
  texlive-latex-extra, texlive-fonts-recommended, libnss3-dev, libnspr4-dev, pkg-config,
  libnss3-tools, libgtkmm-2.4-dev (>= 2.8.0), xmlto, libboost-dev, libglademm-2.4-dev,
  latex2html, libavahi-client-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Homepage: http://sourceware.org/systemtap/
 Vcs-Git: git://git.debian.org/git/collab-maint/systemtap.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/systemtap.git
 
 Package: systemtap
-Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb
+Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb armhf
 Depends: systemtap-runtime (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
  systemtap-common (= ${source:Version}), make
-Suggests: systemtap-doc, vim-addon-manager, linux-image-2.6, linux-headers-2.6, linux-debug-2.6
-Description: instrumentation system for Linux 2.6
+Suggests: systemtap-doc, vim-addon-manager, linux-image, linux-headers, linux-debug
+Description: instrumentation system for Linux
  SystemTap provides infrastructure to simplify the gathering of
  information about the running Linux system.
  This assists diagnosis of a performance or functional problem.
@@ -36,7 +35,7 @@
 Breaks: systemtap (<< 0.0.20081220-1)
 Depends: ${misc:Depends}
 Recommends: systemtap
-Description: instrumentation system for Linux 2.6 (common component)
+Description: instrumentation system for Linux (common component)
  SystemTap provides infrastructure to simplify the gathering of
  information about the running Linux system.
  .
@@ -48,9 +47,9 @@
 Replaces: systemtap (<< 0.0.20081220-1)
 Breaks: systemtap (<< 0.0.20081220-1)
 Suggests: systemtap
-Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb
+Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb armhf
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
-Description: instrumentation system for Linux 2.6 (runtime component)
+Description: instrumentation system for Linux (runtime component)
  This package contains staprun program that can be used to run
  compiled SystemTap probes.
  .
@@ -73,13 +72,13 @@
  information about the running Linux system.
 
 Package: systemtap-server
-Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb
+Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb armhf
 Depends: libnss3-tools, avahi-utils, unzip, zip, systemtap (= ${binary:Version}),
  systemtap-client (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
  net-tools
 Breaks: systemtap-client (<< 0.0.20090523~)
 Replaces: systemtap-client (<< 0.0.20090523~)
-Description: instrumentation system for Linux 2.6 (compile server)
+Description: instrumentation system for Linux (compile server)
  This package contains compile server for SystemTap. It can be used
  together with systemtap client to compile probes on a remote machine.
  Probes will be compiled by the server on request of remote clients.
@@ -88,10 +87,10 @@
  information about the running Linux system.
 
 Package: systemtap-client
-Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb
+Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb armhf
 Depends: avahi-utils, unzip, zip, dnsutils, systemtap-runtime (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Suggests: systemtap-server
-Description: instrumentation system for Linux 2.6 (client for compile server)
+Description: instrumentation system for Linux (client for compile server)
  This package contains client for SystemTap compile server. It can be
  used to compile probes on a remote machine running systemtap-server.
  This client can be run on a machine without full kernel debug information
@@ -104,7 +103,7 @@
  information about the running Linux system.
 
 Package: systemtap-sdt-dev
-Architecture: all
+Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb armhf
 Depends: ${misc:Depends}, python
 Description: statically defined probes development files
  This package contains header file and executable (dtrace) that
@@ -117,9 +116,9 @@
  To be able to write new SystemTap probes, install systemtap package.
 
 Package: systemtap-grapher
-Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb
+Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb armhf 
 Depends: systemtap (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Description: instrumentation system for Linux 2.6 (grapher)
+Description: instrumentation system for Linux (grapher)
  This package contains a utility for real-time visualization of
  data from SystemTap instrumentation scripts.
  .

=== debian/rules ===
--- 
+++ 
@@ -9,16 +9,8 @@
 get-orig-source:
 	uscan --force-download --rename --repack --download-version=$(DEB_UPSTREAM_VERSION) --destdir=.
 
-
-CFLAGS = -Wall -g -D_GNU_SOURCE
-
-ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
-CXXFLAGS = $(CFLAGS)
-export CFLAGS CXXFLAGS
+DEB_CFLAGS_MAINT_APPEND=-Wall -D_GNU_SOURCE
+DEB_CXXFLAGS_MAINT_APPEND=-Wall -D_GNU_SOURCE
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -40,12 +32,12 @@
 endif
 
 # dh does it wrong...
-CONF_FLAGS += --libexecdir=/usr/lib
+CONF_FLAGS += --libexecdir=/usr/lib $(shell dpkg-buildflags --export=configure)
 
 DH = dh
 
 # plus is to enable parallel build
-binary binary-arch binary-indep build clean install patch:
+binary binary-arch binary-indep build clean install patch build-arch build-indep:
 	+$(DH) $@
 
 
@@ -62,6 +54,9 @@
 	# Those files do not realy belong there
 	rm debian/tmp/usr/share/doc/systemtap/examples/README
 	rm debian/tmp/usr/share/doc/systemtap/examples/html/*.tmpl
+
+	# Remove empty file to make lintian happy
+	rm debian/tmp/usr/share/doc/systemtap/tapsets/tapsets.proc
 
 	# make sure that all examples are executable (except tutorial)
 	find debian/tmp/usr/share/doc/systemtap/examples/ -name \*.stp \! -executable -print -exec chmod +x "{}" \;
@@ -87,11 +82,9 @@
 
 override_dh_fixperms:
 	dh_fixperms
-	chmod 4750 debian/systemtap-runtime/usr/bin/staprun
-
-override_dh_installchangelogs:
-	        dh_installchangelogs debian/changelog
+	chmod 4754 debian/systemtap-runtime/usr/bin/staprun
 
 .PHONY: build clean binary-indep binary-arch binary install patch get-orig-source
+.PHONY: build-arch build-indep
 .PHONY: override_dh_auto_configure override_dh_auto_test override_dh_auto_install
 .PHONY: override_dh_auto_clean override_dh_compress override_dh_fixperms

## systemtap 2.1

=== debian/changelog ===
systemtap (2.1-1) unstable; urgency=low

  [ Lucas Nussbaum ]
  * Remove myself from Uploaders.

  [ Timo Juhani Lindfors ]
  * Upload to unstable.

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Mon, 13 May 2013 17:42:52 +0300

systemtap (2.1-1~experimental1) experimental; urgency=low

  * New upstream release (Closes: #690404, #701365, #701365)
    (LP: #803549, #1130626, #1075772).
  * Drop patches that are part of the new upstream release:
    - manpage-syntax1.diff
    - spelling-fixes1.diff
    - spelling-fixes2.diff
    - manpage-paths1.diff
    - fix.CVE-2012-0875.diff
  * Add patches that fix various lintian warnings. These have all
    been accepted upstream so we can get rid of them in the next
    release (thanks Frank Ch. Eigler!):
    - 0001-man-stap.1-escape-minus-sign-properly.patch
    - 0002-man-stap.1-fix-typo.patch
    - 0003-man-stapprobes.3stap-escape-minus-sign-properly.patch
    - 0005-Add-missing-usr-bin-env-stap-to-some-examples.patch
    - 0006-man-stappaths.7-properly-escape-dot-in-the-beginning.patch
    - 0008-man-escape-quote-properly-in-header.patch
    - 0001-configure.ac-remove-temporary-file-after-test.patch
    - 0002-Makefile.am-remove-temporary-symlinks-in-distclean.patch
    - 0003-configure-Makefile-regenerate.patch
    - 0001-tapset-test-adieu.patch
    - 0001-Makefile.am-don-t-install-html-.tmpl-files.patch
    - 0002-Makefile.in-regenerate.patch
    - 0001-manpager-fix-warnings-by-adding-breaks-between-SEE-A.patch
  * Add patch to partially fix #604453:
    - 0001-blacklist-more-unsafe-functions.patch
  * Backport patch to support unreadable System.map on Ubuntu:
    - 0001-translator-tolerate-unavailable-System.map.patch
  * Add patch to suggest reading README.Debian if anything
    fails. Usability testing shows that surprisingly few users
    will find it otherwise :-) This patch can not be forwarded
    upstream but it is very simple.
    - suggest-readme.debian.diff
  * Upload to experimental since wheezy is frozen.
  * Drop systemtap-grapher binary package as it has been
    removed by upstream. Remove its build-dependencies
    libgtkmm-2.4-dev, libboost-dev and libglademm-2.4-dev as well.
  * Add powerpcspe to the architecture list (Closes: #700161).
  * Ship stap-prep to help users figure out what
    debug symbol and header packages they need to install and mention
    this in README.Debian.
  * Add patches to make stap-prep work on Debian:
    - 0001-Prepare-stap-prep-for-support-for-non-rpm-systems.patch
    - 0002-stap-prep-add-support-for-deb-based-systems.patch
    - 0003-man-add-man-page-for-stap-prep-1.patch
    - 0004-man-stap.1-add-reference-to-stap-prep-1.patch
    - 0001-install-stap-prep.1-man-page.patch
    - 0002-man-Makefile.in-regenerate.patch
  * Add patch to improve error messages:
    - 0001-Suggest-running-stap-prep-after-all-failures.patch
  * Enable emacs addon that makes editing .stp files easier.
  * Ensure that build log shows full build commands.
  * Bump Standards-Version to 3.9.4, no changes were needed.

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Sat, 23 Feb 2013 14:36:19 +0200

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,18 @@
 Section: devel
 Priority: optional
 Maintainer: Ritesh Raj Sarraf <rrs@debian.org> 
-Uploaders: Lucas Nussbaum <lucas@debian.org>, Timo Juhani Lindfors <timo.lindfors@iki.fi>
+Uploaders: Timo Juhani Lindfors <timo.lindfors@iki.fi>
 Build-Depends: debhelper (>= 7.0.50~), libelf-dev (>= 0.141),
  libdw-dev (>= 0.141), libsqlite3-dev, texlive-latex-base, texlive-latex-recommended,
  texlive-latex-extra, texlive-fonts-recommended, libnss3-dev, libnspr4-dev, pkg-config,
- libnss3-tools, libgtkmm-2.4-dev (>= 2.8.0), xmlto, libboost-dev, libglademm-2.4-dev,
- latex2html, libavahi-client-dev
-Standards-Version: 3.9.3
+ libnss3-tools, xmlto, latex2html, libavahi-client-dev
+Standards-Version: 3.9.4
 Homepage: http://sourceware.org/systemtap/
 Vcs-Git: git://git.debian.org/git/collab-maint/systemtap.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/systemtap.git
 
 Package: systemtap
-Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb armhf
+Architecture: i386 amd64 ia64 s390 powerpc powerpcspe arm armel armeb armhf
 Depends: systemtap-runtime (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
  systemtap-common (= ${source:Version}), make
 Suggests: systemtap-doc, vim-addon-manager, linux-image, linux-headers, linux-debug
@@ -31,8 +30,8 @@
 
 Package: systemtap-common
 Architecture: all
-Replaces: systemtap (<< 0.0.20081220-1)
-Breaks: systemtap (<< 0.0.20081220-1)
+Replaces: systemtap (<< 0.0.20081220-1), systemtap-grapher (<< 2.1-1~experimental1~try1)
+Breaks: systemtap (<< 0.0.20081220-1), systemtap-grapher (<< 2.1-1~experimental1~try1)
 Depends: ${misc:Depends}
 Recommends: systemtap
 Description: instrumentation system for Linux (common component)
@@ -47,7 +46,7 @@
 Replaces: systemtap (<< 0.0.20081220-1)
 Breaks: systemtap (<< 0.0.20081220-1)
 Suggests: systemtap
-Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb armhf
+Architecture: i386 amd64 ia64 s390 powerpc powerpcspe arm armel armeb armhf
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
 Description: instrumentation system for Linux (runtime component)
  This package contains staprun program that can be used to run
@@ -72,7 +71,7 @@
  information about the running Linux system.
 
 Package: systemtap-server
-Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb armhf
+Architecture: i386 amd64 ia64 s390 powerpc powerpcspe arm armel armeb armhf
 Depends: libnss3-tools, avahi-utils, unzip, zip, systemtap (= ${binary:Version}),
  systemtap-client (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
  net-tools
@@ -87,7 +86,7 @@
  information about the running Linux system.
 
 Package: systemtap-client
-Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb armhf
+Architecture: i386 amd64 ia64 s390 powerpc powerpcspe arm armel armeb armhf
 Depends: avahi-utils, unzip, zip, dnsutils, systemtap-runtime (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Suggests: systemtap-server
 Description: instrumentation system for Linux (client for compile server)
@@ -103,7 +102,7 @@
  information about the running Linux system.
 
 Package: systemtap-sdt-dev
-Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb armhf
+Architecture: i386 amd64 ia64 s390 powerpc powerpcspe arm armel armeb armhf
 Depends: ${misc:Depends}, python
 Description: statically defined probes development files
  This package contains header file and executable (dtrace) that
@@ -114,13 +113,3 @@
  information about the running Linux system.
  .
  To be able to write new SystemTap probes, install systemtap package.
-
-Package: systemtap-grapher
-Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb armhf 
-Depends: systemtap (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Description: instrumentation system for Linux (grapher)
- This package contains a utility for real-time visualization of
- data from SystemTap instrumentation scripts.
- .
- SystemTap provides infrastructure to simplify the gathering of
- information about the running Linux system.

=== debian/rules ===
#!/usr/bin/make -f

VIM_ADIR = $(CURDIR)/debian/tmp/usr/share/vim/addons
VIM_RDIR = $(CURDIR)/debian/tmp/usr/share/vim/registry

EMACS_ADIR = $(CURDIR)/debian/tmp/usr/share/emacs/site-lisp/systemtap-common

CONF_FLAGS = --enable-sqlite --disable-crash --enable-docs --disable-pie \
	     --enable-server --without-rpm --disable-silent-rules \
	     --enable-translator --disable-publican \
	     --libexecdir=/usr/lib $(shell dpkg-buildflags --export=configure)

# Building of man pages takes A LOT of time
ifeq (,$(filter stap_disable_refdocs,$(DEB_BUILD_OPTIONS)))
	CONF_FLAGS += --enable-refdocs
else
	CONF_FLAGS += --disable-refdocs
endif

%:
	dh $@ --parallel

override_dh_auto_test:
	# Tests cannot be run during build, see #526957

override_dh_auto_configure:
	dh_auto_configure -- $(CONF_FLAGS)

override_dh_auto_install:
	dh_auto_install

	# Install vim files
	install -m 644 -D vim/ftdetect/stp.vim $(VIM_ADIR)/ftdetect/stp.vim
	install -m 644 -D vim/ftplugin/stp.vim $(VIM_ADIR)/ftplugin/stp.vim
	install -m 644 -D vim/indent/stp.vim $(VIM_ADIR)/indent/stp.vim
	install -m 644 -D vim/syntax/stp.vim $(VIM_ADIR)/syntax/stp.vim
	install -m 644 -D $(CURDIR)/debian/systemtap.yaml $(VIM_RDIR)/systemtap.yaml

	# Install emacs files
	install -m 644 -D emacs/systemtap-init.el $(EMACS_ADIR)/systemtap-init.el
	install -m 644 -D emacs/systemtap-mode.el $(EMACS_ADIR)/systemtap-mode.el

	# Install stap-prep
	install -D stap-prep $(CURDIR)/debian/tmp/usr/bin/stap-prep

	# Ensure that example scripts are executable but tapset files are not
	find debian/tmp/usr/share/doc/systemtap/examples/ -name \*.stp \! -executable | grep -v /tapset/ | xargs chmod -v +x
	find debian/tmp/usr/share/doc/systemtap/examples/ -name \*.stp -executable | grep /tapset/ | xargs chmod -v -x

	# Remove empty file to make lintian happy, patch sent to xmlto upstream
	rm -f debian/tmp/usr/share/doc/systemtap/tapsets/tapsets.proc

override_dh_compress:
	dh_compress -X.stp -X.wav -Xsocktop -Xsyscalltimes -X.pdf

override_dh_fixperms:
	dh_fixperms
	chmod 4754 debian/systemtap-runtime/usr/bin/staprun
